FROM amd64/debian:buster as builder

ENV VERSION 7.0.5

RUN apt-get update && \
    apt-get dist-upgrade -y && \
    DEBIAN_FRONTEND=noninteractive apt-get install -y wget tar && \
    wget https://download.seadrive.org/seafile-server_${VERSION}_x86-64.tar.gz -O ./seafile.tar.gz && \
    tar xf ./seafile.tar.gz && \
    mv seafile-server-${VERSION} seafile-server

FROM amd64/debian:buster

COPY --from=builder ./seafile-server /srv/webstore/seafile-server

RUN apt-get update && \
    apt-get dist-upgrade -y && \
    DEBIAN_FRONTEND=noninteractive apt-get install -y \
      python \
      mariadb-client \
      python2.7 \
      libpython2.7 \
      python-setuptools \
      python-ldap \
      python-urllib3 \
      ffmpeg \
      python-pip \
      python-mysqldb \
      python-memcache \
      procps \
      python-requests && \
    pip install Pillow==4.3.0 && \
    pip install moviepy && \
    useradd -u 1000 -d /srv/webstore seauser && \
    chown -R seauser:1000 /srv/webstore/

RUN mkdir -p /usr/local/lib/mariadb/plugin/  && \
    ln -s /usr/lib/x86_64-linux-gnu/mariadb*/plugin/mysql_clear_password.so /usr/local/lib/mariadb/plugin/ && \
    ln -s /usr/lib/x86_64-linux-gnu/mariadb*/plugin/dialog.so /usr/local/lib/mariadb/plugin/
    
WORKDIR /srv/webstore/seafile-server
COPY seadocker /usr/local/bin/seadocker
COPY seaenv /usr/local/bin/seaenv

ENTRYPOINT ["/usr/local/bin/seaenv"]
CMD ["/usr/local/bin/seadocker"]
